Add an extension to a customer
Add an extension to a customer
Required permissions: CUSTOMER
Access token recevied after user login with a deviceToken
Reference to a Customer.
^[A-Za-z0-9-_]+Reference to a tenant.
^[A-Za-z0-9-_]+| ENUM | Description |
|---|---|
| TWO_INVOICE | The Two Invoice extension. |
| KLAVIYO_PROFILE_ID | Klaviyo profile ID |
^[A-Za-z0-9-_]+Example response
CustomerResponseSchema
ISO 3166-1: 2 characters representation of country
^[A-Za-z0-9-_]+References another customer, establishing it as a department under the main customer. Only applicable when customerType is COMPANY.
^[A-Za-z0-9-_]*Tenant-scoped running customer number, assigned on creation. Absent for customers created before customer numbers were enabled, or when the tenant has no customer number series.
Deprecated. Use ledgerNumber in accountingConfigs instead
^[A-Za-z0-9-_]*VAT identification number for value added tax reporting purposes.
Deprecated: Use ehf -> enabled instead
POST /v2/tenants/{tenantUid}/customers/{customerUid}/extensions/{customerExtensionCode} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"storeUid": "text"
}Example response
{
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"customerUid": "text",
"customerParentUid": "text",
"customerType": "COMPANY",
"email": "text",
"externalId": "text",
"customerNumber": "text",
"firstname": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastname": "text",
"mobile": "text",
"postalCode": "text",
"pricelistUid": "text",
"vatNumber": "text",
"origin": "text",
"addresses": [
{
"address": "text",
"city": "text",
"companyName": "text",
"firstname": "text",
"lastname": "text",
"countryCode": "text",
"email": "text",
"phone": "text",
"postalCode": "text",
"type": "DELIVERY_ADDRESS",
"customerAddressUid": "text",
"displayName": "text"
}
],
"contacts": [
{
"firstname": "text",
"lastname": "text",
"email": "text",
"mobile": "text",
"address": "text",
"postalCode": "text",
"city": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"customerContactUid": "text",
"extensions": [
{
"extensionCode": "TWO_INVOICE",
"organizationUid": "text"
}
],
"displayName": "text",
"role": "ADMIN"
}
],
"extensions": [
{
"extensionCode": "TWO_INVOICE",
"organizationUid": "text"
}
],
"consents": [
{
"consentUid": "text",
"name": "text",
"status": true,
"source": "text",
"createdAt": "2026-01-01T00:00:00.000Z"
}
],
"loyaltyId": "text",
"displayName": "text",
"credit": {
"limit": 1,
"balance": 1
},
"paymentTerms": 1,
"internalNote": "text",
"accountManager": {
"tenantUserUid": "text",
"displayName": "text",
"userCode": "text"
},
"ehf": {
"enabled": true,
"address": "text"
},
"customerGroupUids": [
"text"
],
"defaultStore": {
"name": "text",
"storeUid": "text"
},
"representedStore": {
"name": "text",
"storeUid": "text"
},
"relevance": 1
}Last updated
Was this helpful?

